Generate a Conversation Actions export
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Details
WARNING
The URL for Care Analytics depends on your regional location. Please refer to the Analytics Reports API Reference Overview for more information.
Added July 2019
Runs a Conversation Actions export. See Analytics Reports API quickstart for more details.
Tip
You may also generate this export using
GET /reports/report/conversation_actions; however, POST is the recommended method. When you generate the export using GET, pass all parameters as query string parameters.
Important
Pass all parameters except for
companyKeyin the request body. PasscompanyKeyas a query parameter. See the example for the correct format.
All fields in exports are of the datatype String and have a field length of unbounded. Times will be formatted per the Company setting OR the Locale that the user specifies when running the export.
All arguments are case-sensitive.
The workflowId and the runId in the response are unique IDs specific to this export job. The IDs are used by the /reports/report/workflowId/runId/status and /reports/report/workflowId/runId/download endpoints to check the status of an export job and to download it.
Make a GET request to the /reports/report/<workflowId>/<runId>/status endpoint as shown in the statusUrl field to check the status of the job. When the result.runnerState is CLOSED and result.detail is COMPLETED in the response to /reports/report/<workflowId>/<runId>/status, you are ready to run the endpoint in the downloadUrl. An empty value for downloadUrl indicates that the export has not ready.
Make a GET request to the /reports/report/workflowId/runId/download endpoint as shown in the downloadUrl field to download the export locally.
See Using timezone with timezoneOffset when making a request with these parameters.
See Define columns to return in an export to learn how to specify a limited set of columns to return in the export.